aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorKarsten Hopp <karsten@redhat.com>2001-08-20 13:26:36 +0000
committerKarsten Hopp <karsten@redhat.com>2001-08-20 13:26:36 +0000
commit152c8f3ab577dbbce1b17ee1db1996d00d789295 (patch)
treea6916def07663d0a7239513c99103a8dfa391dd1
parent9c256a5c573409c97b0d5a93ed7196a88c898419 (diff)
downloadinitscripts-152c8f3ab577dbbce1b17ee1db1996d00d789295.tar
initscripts-152c8f3ab577dbbce1b17ee1db1996d00d789295.tar.gz
initscripts-152c8f3ab577dbbce1b17ee1db1996d00d789295.tar.bz2
initscripts-152c8f3ab577dbbce1b17ee1db1996d00d789295.tar.xz
initscripts-152c8f3ab577dbbce1b17ee1db1996d00d789295.zip
added ifup file for S/390 ESCON interfaces. No need to rebuild on non-S390 right nowr6-21
-rw-r--r--ChangeLog5
-rw-r--r--initscripts.spec1
-rw-r--r--sysconfig/network-scripts/ifup-escon54
3 files changed, 60 insertions, 0 deletions
diff --git a/ChangeLog b/ChangeLog
index 25247cf4..d169277c 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,8 @@
+2001-08-20 Karsten Hopp <karsten@redhat.de>
+
+ * initscripts.spec, ifup-escon:
+ - add configuration of escon interface for S/390
+
2001-08-20 Bill Nottingham <notting@redhat.com>
* ChangeLog, initscripts.spec: 6.21-1
diff --git a/initscripts.spec b/initscripts.spec
index 7fbad903..2d953839 100644
--- a/initscripts.spec
+++ b/initscripts.spec
@@ -189,6 +189,7 @@ rm -rf $RPM_BUILD_ROOT
/etc/sysconfig/network-scripts/ifdown-isdn
%ifarch s390 s390x
%config /etc/sysconfig/network-scripts/ifup-ctc
+%config /etc/sysconfig/network-scripts/ifup-escon
%config /etc/sysconfig/network-scripts/ifup-iucv
%endif
%config /etc/X11/prefdm
diff --git a/sysconfig/network-scripts/ifup-escon b/sysconfig/network-scripts/ifup-escon
new file mode 100644
index 00000000..f8cfc101
--- /dev/null
+++ b/sysconfig/network-scripts/ifup-escon
@@ -0,0 +1,54 @@
+#!/bin/bash
+#
+# /etc/sysconfig/network-scripts/ifup-escon
+#
+# the escon network interface is a point-to-point interface on S/390 machines
+# which uses the ctc module.
+#
+# To get the ctc module to load automatically at boot, you will need to
+# add the following line to /etc/modules.conf:
+#
+# alias escon0 ctc
+#
+PATH=/sbin:/usr/sbin:/bin:/usr/bin
+
+cd /etc/sysconfig/network-scripts
+. network-functions
+
+CONFIG=$1
+[ -f "$CONFIG" ] || CONFIG=ifcfg-$CONFIG
+source_config
+
+if [ "$2" = "boot" -a "${ONBOOT}" = "no" ]
+then
+ exit
+fi
+[ -n "${MTU}" ] && opts="${opts} mtu ${MTU}"
+
+ifconfig ${DEVICE} ${IPADDR} ${opts} pointopoint ${REMIP}
+
+# Wait for the device to come up - the chandev'ified ctc driver can take
+# quite a while...
+timeout=0
+while ! ping -w 30 -c ${REMIP} &>/dev/null; do
+ timeout=$(($timeout + 1))
+ if [ $timeout = 20 ]; then
+ echo $"ERROR: ${DEVICE} did not come up!"
+ break
+ fi
+done
+
+if [ "${NETWORK}" != "" ] ; then
+ route add -net ${NETWORK} netmask ${NETMASK} ${DEVICE}
+fi
+
+. /etc/sysconfig/network
+
+if [ "${GATEWAY}" != "" ]; then
+ if [ "${GATEWAYDEV}" = "" -o "${GATEWAYDEV}" = "${DEVICE}" ]; then
+ # set up default gateway
+ route add default gw ${GATEWAY}
+ fi
+fi
+
+/etc/sysconfig/network-scripts/ifup-post $1